#include "partition.h"
#include <bits/stdc++.h>
using namespace std;
#define ff first
#define ss second
#define pb push_back
//#define int long long

std::vector<int> solve(std::vector<int> A){
    int n=A.size();
    vector <int> vec;
    for(int i=0;i<(n+1)/2 -1;i++){
        vec.pb(i);

    }
    vec.pb(n-1);
    for(int i=(n+1)/2-1;i<n-1;i++){
        vec.pb(i);
    }
    return vec;

}
// int main () {
//     ios_base::sync_with_stdio(false);
//     cin.tie(NULL);
//     int t;
//     cin >> t ;
//     for (int test=1; test<=t; test++) {
//         int n;
//         cin >> n ;
//         vector <int> a(n);
//         for (int i=0; i<n; i++) {
//             cin >> a[i] ;
//         }

//         for (auto ind : solve(a)) {
//             cout << ind << " ";
//         }
//         cout << endl ;
//     }
//     cout << endl ;
//     return 0;
// }
